#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	cdrkit
Version		:	1.1.11
Release		:	17.0.10.rel%{?dist}
Summary		:	A collection of CD/DVD utilities
Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2
URL		:	https://src.fedoraproject.org/repo/pkgs/cdrkit/

Source0		:	%{name}-%{version}.tar.gz
Patch0		:	%{name}-%{version}-gcc10.patch

#-----------------------------------------------------------------------------
%description
The Cdrtools package contains CD recording utilities. These are useful for reading,
creating or writing (burning) CDs, DVDs, and Blu-ray discs. 

%prep
%setup -q
%patch0 -p1

#---------------------------------------------------------
#building application
%build
%define _smp_mflags	-j%(/usr/bin/getconf _NPROCESSORS_ONLN)

mkdir build
pushd build
cmake ..						\
        -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix}		\
        -DBUILD_SHARED_LIBS:BOOL=O

%{__make} %{_smp_mflags}
popd

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

pushd build
%{__make}						\
	DESTDIR=%{buildroot}				\
	install
popd
pushd %{buildroot}%{_bindir}
ln -s genisoimage mkisofs
ln -s genisoimage mkhybrid
ln -s icedax cdda2wav
ln -s wodim cdrecord
ln -s wodim dvdrecord
popd

%files			
%defattr(-, root,root, -)

%doc COPYING
%{_bindir}/cdd*
%{_bindir}/cdrecord
%{_bindir}/devdump
%{_bindir}/dirsplit
%{_bindir}/dvdrecord
%{_bindir}/genisoimage
%{_bindir}/icedax
%{_bindir}/isodebug
%{_bindir}/isodump
%{_bindir}/isoinfo
%{_bindir}/isovfy
%{_bindir}/mkhybrid
%{_bindir}/mkisofs
%{_bindir}/pitchplay
%{_bindir}/readmult
%{_bindir}/readom
%{_bindir}/wodim
%{_sbindir}/netscsid
%{_mandir}/man1/*.1.gz
%{_mandir}/man5/*.5.gz

%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig


%changelog

